package cn.com.ctop.toutiao.modules.material.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;

import java.util.Map;

/**
 * @author jeecg-boot
 */
public interface IByteDanceAdvertiserDataService {
    Map<String, Object> getAdvertiserInfo(String accountId);

    Map<String, Object> getAdvertiserPlan(CtopOauthToken token, String ids, String date, String updateDate);

    Map<String, Object> getAdvertiserCampaign(String accountId, String ids, String date);

    Map<String, Object> getAdvertiserBudget(String accountId);

    Map<String, Object> getAdvertiserCreativeMaterial(String accountId, String creativeIds);

    Map<String, Object> getAdvertiserCreative(CtopOauthToken token, String date);

    Map<String, Object> advertiserCampaignUpdateStatus(String accountId, String campaignIds, String optStatus);

    Map<String, Object> advertiserCampaignUpdate(String accountId, Long campaignId, String budgetMode, Integer budget, String campaignName);

    Map<String, Object> advertiserPlanUpdateStatus(CtopOauthToken token, String adIds, String optStatus);

    Map<String, Object> advertiserPlanUpdateBid(CtopOauthToken token, String adIds, String bids);

    Map<String, Object> advertiserPlanUpdateBudget(CtopOauthToken token, String adIds, String budgets);

    Map<String, Object> advertiserCustomAudienceSelect(String accountId);

    Map<String, Object> getAdvertiserCampaignList(String accountId);

    Map<String, Object> flowPackageGet(String accountId);

    void getMaterialList(CtopOauthToken token);
}
